Bug 802665 - Push button is not enabled if build fails for one provider in case of multiple provider build
Push button is not enabled if build fails for one provider in case of multipl...
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Angus Thomas
wes hayutin
:
Depends On: 801199
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 04:48 EDT by Rehana
Modified: 2012-08-30 13:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log (22.14 KB, application/octet-stream)
2012-03-13 04:48 EDT, Rehana
no flags Details
no push button (217.15 KB, image/png)
2012-03-13 04:49 EDT, Rehana
no flags Details
log (22.14 KB, application/octet-stream)
2012-03-13 04:52 EDT, Rehana
no flags Details

  None (edit)
Description Rehana 2012-03-13 04:48:29 EDT
Created attachment 569602 [details]
Log

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Created provider account for rhevm and vsphere
2.Upload a fedora 32 bit image from conductor
2.Image build failed for rhevm but for vsphere it got successfully completed(PFA: log) 
  
Actual results:
Observed that in conductor both the providers was having only "build" button enabled(PFA: no push button.png)

Expected results:

It is expected to have the push button enabled for the provider (which had a successful image build)


Additional info:

[root@dell-pe2950-01 ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.0-41.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
rubygem-aeolus-cli-0.3.0-13.el6.noarch
aeolus-all-0.8.0-41.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch
Comment 1 Rehana 2012-03-13 04:49:13 EDT
Created attachment 569603 [details]
no push button
Comment 2 Rehana 2012-03-13 04:52:50 EDT
Created attachment 569604 [details]
log
Comment 3 Rehana 2012-03-13 05:20:25 EDT
updating the steps

Steps to Reproduce:
1.Created provider account for rhevm and vsphere
2.Upload a fedora 32 bit image from conductor
3.Clicked "build all" button
4.Image build failed for rhevm but for vsphere it got successfully
completed(PFA: log) 

Actual results:
Observed that in conductor both the providers was having only "build" button
enabled(PFA: no push button.png)

Expected results:

It is expected to have the push button enabled for the provider (which had a
successful image build)
Comment 4 Dave Johnson 2012-03-13 12:39:26 EDT
I noticed this behaviour but was thinking it was part of bug 801199, it could be fixed there as it is in modified.  Adding ifarkas for comment.
Comment 5 Imre Farkas 2012-03-14 04:48:48 EDT
I tried to reproduce the issue with and without the patch for 801199 and it seems to me that the patch fixes this one, too.
Comment 6 Dave Johnson 2012-03-19 11:22:46 EDT
Setting this to on_qa and verified with the fixes for bug 801199

Note You need to log in before you can comment on or make changes to this bug.